MyBBDepo - Türkiyenin MyBB Deposu Forumuna Hoşgeldiniz
Eğer sitemize yaptığınız ilk ziyaretiniz ise, lütfen öncelikle Forum Kurallarını okuyunuz. Forumumuzda bilgi alışverişinde bulunabilmeniz için Kayıt olmalısınız. Üye olmayanlar forumumuzdan yararlanamazlar.
Eğer zaten kayıtlı kullanıcı iseniz, lütfen kullanıcı adınız ve şifreniz ile, Giriş yapınız. (Sitemize üyelik ücretsizdir).
xpserkan avatar
Konuyu Oyla:
  • Derecelendirme: 5/5 - 2 oy
  • 1
  • 2
  • 3
  • 4
  • 5

Derecelendirme: 5/5 - 2 oy

MyBB 1.6.12 - Güvenlik Güncelleme Paketi


Sponsor Reklam
media venus

Çevrimdışı xpserkan
 Tarih: 31-12-2013, Saat:14:09
(Son Düzenleme: 31-12-2013, Saat:14:11, Düzenleyen: xpserkan.)
#9
(31-12-2013, Saat:09:32)YaPRaQQ Adlı Kullanıcıdan Alıntı: Öncelikle xpserkana yeni sürüm için teşekkürler..

Sorunuza gelecek olursak 4 baytlık utf 8 desteği 4 baytlık karakterlerde hata oluşmaması için verilmekte.. örneğin standart ascii karakterleri 1 bayt iken bunun dışındaki karakterler daha büyük boyutta olabilmekte örneğin japon veya çin harfleri.. Bazı ekstra durumlarda da 4 baytlık karakter depolama alanı olması daha iyidir.. yani utf8mb4 utf-8 den daha geniş bir karakter setidir.. orjinal utf-8 maks 3 baytlık karakter depolayabilirken utf8mb4 4 bayt depolayabilir bu yüzden mysql 5.5 sürümlerinden daha aşağısına donmeniz gerekirse veri kaybı olur.. şu an için de dünya üzerinde hala birçok firma sql 5.5 ten düşük sürümler kullandığından karakter setini utf8mb4 yapmak gereksiz diyorum..

Rica ederim Tolga kardeşim ne demek.
Bu arada açıklaman gayet güzel ve anlaşır bir dilde olmuş. Bununla ilgilide konuya uyarımı yapmıştım, seninde dediğin gibi veri kaybı olasılığı %90, zaten böyle bir durumda ne yedek alınabiliyor nede alınan yedek, alınması başarılı olsa dahi eksik ve hatalı olacağından 5.5.3 alt sürümlerde çalışmayacaktır. Ancak ileriki zamanlarda 4 baytlık UTF-8 desteğinin kullanılmasıda çok iyi bir gelişime ve yaşanan hataları daha aza indirgemeye yol açacağı düşünüldüğü için kullanıma sunulmuştur..
Cevapla
Bunu Beğenenler:

Çevrimdışı crawz
 Tarih: 31-12-2013, Saat:22:22
#10
Ben başka sitenin paketinden sizin paketinize geçmek istiyorum nasıl yapıcam dosyalarınızı ftp attım upgrade için olmadı
Cevapla
Bunu Beğenenler:

Çevrimdışı xpserkan
 Tarih: 31-12-2013, Saat:23:58
#11
(31-12-2013, Saat:22:22)crawz Adlı Kullanıcıdan Alıntı: Ben başka sitenin paketinden sizin paketinize geçmek istiyorum nasıl yapıcam dosyalarınızı ftp attım upgrade için olmadı

Merhaba,
Geçiş yapmak için Türkçe dil paketimizi yüklemeniz yeterli.

http://community.mybb.com/thread-89647.html
Cevapla
Bunu Beğenenler:

Çevrimdışı JngBg03
 Tarih: 08-01-2014, Saat:16:51
#12
Forum sürümüm 1.6.10 direk 1.6.12 ile güncellesem sorun olurmu yada ilk olarak 1.6.11 yükleyip sonramı en son sürümü yükleyim
Cevapla
Bunu Beğenenler:

Çevrimdışı Smyrna35
 Tarih: 08-01-2014, Saat:17:10
#13
(08-01-2014, Saat:16:51)JngBg03 Adlı Kullanıcıdan Alıntı: Forum sürümüm 1.6.10 direk 1.6.12 ile güncellesem sorun olurmu yada ilk olarak 1.6.11 yükleyip sonramı en son sürümü yükleyim
Sorun olabilir bu nedenle ilk 1.6.11 e geçip sonra 1.6.12 ye geçiniz.
Cevapla
Bunu Beğenenler:

Çevrimdışı tufan
 Tarih: 27-01-2014, Saat:14:44
#14
(30-12-2013, Saat:23:43)xpserkan Adlı Kullanıcıdan Alıntı: Edit: XpSerkan,
Bu güncelleme; 4 güvenlik açığı ve 10 rapor edilen hata düzeltmesi içermektedir. Herhangi bir tema şablonu değişikliği söz konusu değildir ve sadece 2 dil dosyası yenilenmiştir. Ayrıca bu sürümle beraber 4 baytlık UTF-8 desteğide kullanıma sunulmuştur. 4 baytlık UTF-8 desteği MySQL sürümü 5.5.3 ya da daha üstü gerektirmektedir.
4baytlık UTF-8 desteğini eğer MYSQL sürümünüz 5.5.3 veya daha üstü ise;
./inc/config.php dosyasındaki şu satırı bulup;
PHP Kod:
$config['database']['encoding'] = 'utf8'

Şu şekilde değiştirmeniz yeterlidir.
PHP Kod:
$config['database']['encoding'] = 'utf8mb4'

Dikkat-Uyarı-Kural Uyarı: MYSQL sürümünüz 5.5.3 veya daha üstü ise bu özelliği üsteki şekilde düzenleme yaparak kullanabilirsiniz, ancak yedek alıp başka bir sunucuya taşındığınızda eğer oradaki MYSQL sürümü 5.5.3'den aşağı ise, o zaman veritabanı yedeği almanız mümkün değil! Alsanız dahi hata verip çalışmayacaktır bilginize..

Kurulumdan öncemi sonramı düzeltiyoruz burayı?
Cevapla
Bunu Beğenenler:

Çevrimdışı alemburda
 Tarih: 30-01-2014, Saat:13:16
#15
yazı editörü değişsin artık WYSIWYG istiyorum. Kararsız
Cevapla
Bunu Beğenenler:

Çevrimdışı ParpaLess
 Tarih: 30-01-2014, Saat:14:44
#16
1.8 de olacak Gülümseme
Cevapla
Bunu Beğenenler:

 


Konu ile Alakalı Benzer Konular
Konular Yazar Yorumlar Okunma Son Yorum
Güvenlik [MCTR - 1.6] MyBB 1.6.16 - Güvenlik & Güncelleme Paketi xpserkan 3 2,756 06-07-2015, Saat:14:59
Son Yorum: Mehmethan12
  [MCTR] Forumu MyBB 1.6.5 Sürümüne Yükseltme İşlemleri 007combatant 1 2,228 22-08-2014, Saat:16:49
Son Yorum: __Smile__
Onay [MCTR] MyBB 1614 - Pro-v12 Güncelleme Paketi xpserkan 10 2,651 20-08-2014, Saat:23:01
Son Yorum: 1st4n6uL
Güvenlik [MCTR] MyBB 1.6.15 - Güvenlik Güncelleme Paketi S.G 1 1,160 12-08-2014, Saat:12:33
Son Yorum: Manager
Güvenlik [MCTR] MyBB 1.6.14 - Güvenlik Güncelleme Paketi xpserkan 5 1,807 08-07-2014, Saat:19:17
Son Yorum: xpserkan



Konuyu Okuyanlar: 1 Ziyaretçi